<< pwelch | FOSSEE_Signal_Processing_Toolbox | rc2is >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > rc2ac

# rc2ac

Convert reflection coefficients to autocorrelation sequence.

### Syntax

    a = rc2ac(k, R0)

### Parameters

k:

  input argument reflection coefficients.

R0:

  input argument zero lag autocorrelation

R:

  return autocorrelation sequence.

### Examples

    // Example: Convert reflection coefficients to autocorrelation sequence
    // Reflection coefficients
    k = [0.8, -0.5, 0.3]
    // Zero lag autocorrelation
    R0 = 1
    // Convert reflection coefficients to autocorrelation sequence
    R = rc2ac(k, R0)

### See also

- rx2poly
- rlevinson — It Computes the autocorrelation coefficients using prediction polynomial.

### Authors

- Jitendra Singh

Report an issue
<< pwelch | FOSSEE_Signal_Processing_Toolbox | rc2is >>